﻿<%@ Page Language="VB" AutoEventWireup="false" CodeFile="NewPolicyHolderAndPolicy.aspx.vb" Inherits="NewPolicyHolderAndPolicy" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
    <title></title>
</head>
<body>
    <form id="form1" runat="server">
    <div>
    <h1>Add New Policy Holder and Policy</h1>
    </div>
    
    <table>
        <tr>
            <td style="width:20%">
                Name:</td>
            <td style="width:50%">
                <asp:TextBox ID="name" runat="server" style="width:100%"></asp:TextBox>
            </td>
            <td style="width:30%">
                <asp:RequiredFieldValidator ID="RequiredFieldValidator1" runat="server" 
                    ControlToValidate="name" ErrorMessage="Name is required" 
                    ValidationGroup="FormData"></asp:RequiredFieldValidator>
            </td>
        </tr>
        <tr>
            <td>
                Address:</td>
            <td>
                <asp:TextBox ID="address" runat="server" style="width:100%"></asp:TextBox>
            </td>
            <td>
                <asp:RequiredFieldValidator ID="RequiredFieldValidator2" runat="server" 
                    ControlToValidate="address" ErrorMessage="Address is required" 
                    ValidationGroup="FormData"></asp:RequiredFieldValidator>
            </td>
        </tr>
        <tr>
            <td>
                Start Date:</td>
            <td>
                <asp:TextBox ID="startDate" runat="server" style="width:100%"></asp:TextBox>
            </td>
            <td>
                <asp:CompareValidator ID="CompareValidator1" runat="server" 
                    ControlToValidate="startDate" ErrorMessage="Date format required" 
                    Operator="DataTypeCheck" Type="Date" ValidationGroup="FormData"></asp:CompareValidator>
            </td>
        </tr>
        <tr>
            <td>
                Type:</td>
            <td>
                <asp:TextBox ID="type" runat="server" style="width:100%"></asp:TextBox>
            </td>
            <td>
                <asp:RegularExpressionValidator ID="RegularExpressionValidator1" runat="server" 
                    ControlToValidate="type" ErrorMessage="Buildings or contents required" 
                    ValidationExpression="buildings|contents" ValidationGroup="FormData"></asp:RegularExpressionValidator>
            </td>
        </tr>
        <tr>
            <td>
                Annual Premium:</td>
            <td>
                <asp:TextBox ID="annualPremium" runat="server" style="width:100%"></asp:TextBox>
            </td>
            <td>
                <asp:CompareValidator ID="CompareValidator2" runat="server" 
                    ControlToValidate="annualPremium" ErrorMessage="Amount required" 
                    Operator="DataTypeCheck" Type="Currency" ValidationGroup="FormData"></asp:CompareValidator>
            </td>
        </tr>
        </table>
    
    <asp:Button ID="Button1" runat="server" Text="Submit" onclick="Button1_Click" 
        ValidationGroup="FormData" />
    
    <asp:ValidationSummary ID="ValidationErrors" runat="server" 
        ValidationGroup="FormData" />

    <br />
    <asp:Label ID="databaseError" runat="server" ForeColor="Red"></asp:Label>
    
    </form>
</body>
</html>
